PyHearing - Segnalazione #62

Area amministrativa Hearings
07/02/2016 12:07 PM - Marco Marinello

Status: Commenti Start date: 07/03/2016
Priority: Bassa Due date:

Assignee: Piergiorgio Cemin % Done: 100%
Category: Estimated time: 0.00 hour
Target version:

Resolution:

Description

Creare un'area apposita in /hearings/admin dove inserire dashboard e funzioni varie per I'amministrazione

Subtasks:
Segnalazione # 63: [hearingsadmin] Gestione utenti

Chiuso

Associated revisions

Revision b5a67f6b - 07/02/2016 02:35 PM - Marco Marinello

Primo commit amministrazione
refs #62

Revision ce5f4¢c60 - 07/02/2016 03:22 PM - Marco Marinello

Aggiunta materie e classi nella dashboard
refs #62

Revision 5c4ce025 - 07/02/2016 03:43 PM - Marco Marinello

Aggiunta foglio di stile amministrazione
refs #62

Revision 9aaf3a16 - 07/02/2016 04:57 PM - Marco Marinello

Aggiunta icone amministrazione
refs #62

Revision fdb02c4a - 07/02/2016 04:59 PM - Marco Marinello

Aggiunta voci menu senza link
refs #62

Revision d795dce2 - 07/03/2016 12:19 PM - Marco Marinello

Pagina admin-users
refs #62

History

#1 - 07/02/2016 02:39 PM - Marco Marinello
- % Done changed from 0 to 10

#2 - 07/04/2016 09:44 AM - Christopher R. Gabriel

Anche qui, essendo indicato "[proposta]’, spiegare e motivare le scelte e la via da percorrere, intanto revertare e spostare in branch separato le

modifiche apportate.
#3 - 07/04/2016 09:45 AM - Christopher R. Gabriel
- Target version deleted (django1.9)

#4 - 07/04/2016 12:13 PM - Marco Marinello

- Status changed from In elaborazione to Commenti

#5 - 07/04/2016 01:01 PM - Christopher R. Gabriel

Anche qui, puoi iniziare a spiegare le intenzioni cosi' possiamo discuterne e fare le scelte del caso.

#6 - 07/04/2016 02:36 PM - Marco Marinello

Secondo me un'area di amministrazione mirata ad hearings sarebbe meno ostica di quella fornita da Django e consentirebbe di customizzare il livello
di accesso

#7 - 07/04/2016 02:37 PM - Christopher R. Gabriel

Marco Marinello ha scritto:

Secondo me un'area di amministrazione mirata ad hearings sarebbe meno ostica di quella fornita da Django

Che si puo' personalizzare

e consentirebbe di customizzare il livello di accesso

Secondo quali criteri? Gia' adesso I'admin di django e' sottoposto a controllo di accesso e autorizzazione rispetto ai singoli modelli, sulla base di
permessi per utente e/o per ruolo.

Quali altri criteri di autorizzazione si vogliono personalizzare?

#8 - 07/04/2016 03:08 PM - Marco Marinello
- Status changed from Commenti to Chiuso

- Resolution set to duplicate
#9 - 07/04/2016 03:09 PM - Christopher R. Gabriel

- Status changed from Chiuso to Commenti

- Resolution deleted (duplicate)

Se e' duplicate, bisogna indicare di cosa.

Ci sono delle domande sopra, chiudere il ticket cosi' non €' modo di fare ;)
#10 - 12/13/2016 09:13 PM - Marco Marinello
- Subject changed from [proposta] creazione area amministrazione hearings to Area amministrativa Hearings

- Assignee changed from Marco Marinello to Christopher R. Gabriel

L'admin di django ha I'amministrazione del database ma per operazioni tipo I'aggiunta di un docente o parente diventa macchinoso.

L'admin area potrebbe prima di tutto amministrare questi processi.

Bisogna considerare inoltre che al momento per effettuare una mass-import € necessario avere accesso SSH al server che potrebbe non essere
concesso a tutti i responsabili.

#11 - 01/20/2017 01:24 PM - Christopher R. Gabriel
- Assignee deleted (Christopher R. Gabriel)

#12 - 01/20/2017 04:29 PM - Marco Marinello

- Assignee set to Piergiorgio Cemin
